Getting started
Set the primary domain
Make this domain the project's primary hostname.
POST
/api/customer/v1/projects/{projectId}/domains/{domainId}/primaryPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
domainId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request POST "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/domains/${DOMAIN_ID}/primary" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string"
},
"operationId": {
"type": "string"
},
"operation": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"operationId": {
"type": "string"
},
"status": {
"type": "string"
},
"errorMessage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"startedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"finishedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"status"
],
"additionalProperties": true
},
"deploymentId": {
"type": "string"
},
"projectId": {
"type": "string"
},
"status": {
"type": "string"
},
"operations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
},
"href": {
"type": "string"
}
},
"required": [
"id",
"status",
"href"
]
}
}
},
"required": [],
"additionalProperties": true
}See errors and retries for failure responses.